Subject: Re: bug#24628: GNUtls initialization adds 500ms to startup --- do we really need it just for the RNG?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Oct 2016 09:51:28 +0300

> From: John Wiegley <[email-masked]>
> Date: Thu, 06 Oct 2016 13:22:15 -0700
> Cc: [email-masked]
> 
> >>>>> "DC" == Daniel Colascione <[email-masked]> writes:
> 
> DC> Can we go back to just using /dev/urandom directly?
> 
> I would prefer that too, if it's available.  Eli?

We've been there before, and not so long ago.  The original code,
written by yours truly, read /dev/urandom directly, see commit
3ffe81e.  Two days later Paul replaced that with GnuTLS calls (commit
05e8148), and I wasn't happy about that, to say the least:

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22202#91

However, my objections were evidently not enough to revert back,
although you agreed with me:

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22202#118

I leave it to you to guess what is my opinion about this ;-)